curl --request POST \
--url https://api.synctera.com/v2/external_accounts/link_tokens \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"client_name": "<string>",
"country_codes": [],
"business_id": "7d943c51-e4ff-4e57-9558-08cab6b963c7",
"customer_id": "7d943c51-e4ff-4e57-9558-08cab6b963c7",
"link_customization_name": "<string>",
"redirect_uri": "<string>",
"sdk_type": "WEB",
"vendor_access_token": "<string>",
"vendor_institution_id": "<string>",
"verify_owner": false
}
'import requests
url = "https://api.synctera.com/v2/external_accounts/link_tokens"
payload = {
"client_name": "<string>",
"country_codes": [],
"business_id": "7d943c51-e4ff-4e57-9558-08cab6b963c7",
"customer_id": "7d943c51-e4ff-4e57-9558-08cab6b963c7",
"link_customization_name": "<string>",
"redirect_uri": "<string>",
"sdk_type": "WEB",
"vendor_access_token": "<string>",
"vendor_institution_id": "<string>",
"verify_owner": False
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
client_name: '<string>',
country_codes: [],
business_id: '7d943c51-e4ff-4e57-9558-08cab6b963c7',
customer_id: '7d943c51-e4ff-4e57-9558-08cab6b963c7',
link_customization_name: '<string>',
redirect_uri: '<string>',
sdk_type: 'WEB',
vendor_access_token: '<string>',
vendor_institution_id: '<string>',
verify_owner: false
})
};
fetch('https://api.synctera.com/v2/external_accounts/link_tokens', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.synctera.com/v2/external_accounts/link_tokens",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'client_name' => '<string>',
'country_codes' => [
],
'business_id' => '7d943c51-e4ff-4e57-9558-08cab6b963c7',
'customer_id' => '7d943c51-e4ff-4e57-9558-08cab6b963c7',
'link_customization_name' => '<string>',
'redirect_uri' => '<string>',
'sdk_type' => 'WEB',
'vendor_access_token' => '<string>',
'vendor_institution_id' => '<string>',
'verify_owner' => false
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.synctera.com/v2/external_accounts/link_tokens"
payload := strings.NewReader("{\n \"client_name\": \"<string>\",\n \"country_codes\": [],\n \"business_id\": \"7d943c51-e4ff-4e57-9558-08cab6b963c7\",\n \"customer_id\": \"7d943c51-e4ff-4e57-9558-08cab6b963c7\",\n \"link_customization_name\": \"<string>\",\n \"redirect_uri\": \"<string>\",\n \"sdk_type\": \"WEB\",\n \"vendor_access_token\": \"<string>\",\n \"vendor_institution_id\": \"<string>\",\n \"verify_owner\": false\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.synctera.com/v2/external_accounts/link_tokens")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"client_name\": \"<string>\",\n \"country_codes\": [],\n \"business_id\": \"7d943c51-e4ff-4e57-9558-08cab6b963c7\",\n \"customer_id\": \"7d943c51-e4ff-4e57-9558-08cab6b963c7\",\n \"link_customization_name\": \"<string>\",\n \"redirect_uri\": \"<string>\",\n \"sdk_type\": \"WEB\",\n \"vendor_access_token\": \"<string>\",\n \"vendor_institution_id\": \"<string>\",\n \"verify_owner\": false\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.synctera.com/v2/external_accounts/link_tokens")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"client_name\": \"<string>\",\n \"country_codes\": [],\n \"business_id\": \"7d943c51-e4ff-4e57-9558-08cab6b963c7\",\n \"customer_id\": \"7d943c51-e4ff-4e57-9558-08cab6b963c7\",\n \"link_customization_name\": \"<string>\",\n \"redirect_uri\": \"<string>\",\n \"sdk_type\": \"WEB\",\n \"vendor_access_token\": \"<string>\",\n \"vendor_institution_id\": \"<string>\",\n \"verify_owner\": false\n}"
response = http.request(request)
puts response.read_body{
"client_name": "<string>",
"country_codes": [
"CA"
],
"language": "DE",
"type": "CREDIT",
"business_id": "7d943c51-e4ff-4e57-9558-08cab6b963c7",
"customer_id": "7d943c51-e4ff-4e57-9558-08cab6b963c7",
"expiration": "2023-11-07T05:31:56Z",
"link_customization_name": "<string>",
"link_token": "<string>",
"redirect_uri": "<string>",
"request_id": "<string>",
"sdk_type": "WEB",
"vendor_access_token": "<string>",
"vendor_institution_id": "<string>",
"verify_owner": false
}{
"code": "BAD_REQUEST_BODY",
"detail": "missing required fields: first_name, dob",
"status": 400,
"title": "Bad Request Body",
"type": "https://dev.synctera.com/errors/bad-request-body"
}{
"code": "BAD_REQUEST_BODY",
"detail": "missing required fields: first_name, dob",
"status": 400,
"title": "Bad Request Body",
"type": "https://dev.synctera.com/errors/bad-request-body"
}{
"code": "BAD_REQUEST_BODY",
"detail": "missing required fields: first_name, dob",
"status": 400,
"title": "Bad Request Body",
"type": "https://dev.synctera.com/errors/bad-request-body"
}{
"code": "BAD_REQUEST_BODY",
"detail": "missing required fields: first_name, dob",
"status": 400,
"title": "Bad Request Body",
"type": "https://dev.synctera.com/errors/bad-request-body"
}Create a link token to verify an external account
curl --request POST \
--url https://api.synctera.com/v2/external_accounts/link_tokens \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"client_name": "<string>",
"country_codes": [],
"business_id": "7d943c51-e4ff-4e57-9558-08cab6b963c7",
"customer_id": "7d943c51-e4ff-4e57-9558-08cab6b963c7",
"link_customization_name": "<string>",
"redirect_uri": "<string>",
"sdk_type": "WEB",
"vendor_access_token": "<string>",
"vendor_institution_id": "<string>",
"verify_owner": false
}
'import requests
url = "https://api.synctera.com/v2/external_accounts/link_tokens"
payload = {
"client_name": "<string>",
"country_codes": [],
"business_id": "7d943c51-e4ff-4e57-9558-08cab6b963c7",
"customer_id": "7d943c51-e4ff-4e57-9558-08cab6b963c7",
"link_customization_name": "<string>",
"redirect_uri": "<string>",
"sdk_type": "WEB",
"vendor_access_token": "<string>",
"vendor_institution_id": "<string>",
"verify_owner": False
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
client_name: '<string>',
country_codes: [],
business_id: '7d943c51-e4ff-4e57-9558-08cab6b963c7',
customer_id: '7d943c51-e4ff-4e57-9558-08cab6b963c7',
link_customization_name: '<string>',
redirect_uri: '<string>',
sdk_type: 'WEB',
vendor_access_token: '<string>',
vendor_institution_id: '<string>',
verify_owner: false
})
};
fetch('https://api.synctera.com/v2/external_accounts/link_tokens', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.synctera.com/v2/external_accounts/link_tokens",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'client_name' => '<string>',
'country_codes' => [
],
'business_id' => '7d943c51-e4ff-4e57-9558-08cab6b963c7',
'customer_id' => '7d943c51-e4ff-4e57-9558-08cab6b963c7',
'link_customization_name' => '<string>',
'redirect_uri' => '<string>',
'sdk_type' => 'WEB',
'vendor_access_token' => '<string>',
'vendor_institution_id' => '<string>',
'verify_owner' => false
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.synctera.com/v2/external_accounts/link_tokens"
payload := strings.NewReader("{\n \"client_name\": \"<string>\",\n \"country_codes\": [],\n \"business_id\": \"7d943c51-e4ff-4e57-9558-08cab6b963c7\",\n \"customer_id\": \"7d943c51-e4ff-4e57-9558-08cab6b963c7\",\n \"link_customization_name\": \"<string>\",\n \"redirect_uri\": \"<string>\",\n \"sdk_type\": \"WEB\",\n \"vendor_access_token\": \"<string>\",\n \"vendor_institution_id\": \"<string>\",\n \"verify_owner\": false\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.synctera.com/v2/external_accounts/link_tokens")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"client_name\": \"<string>\",\n \"country_codes\": [],\n \"business_id\": \"7d943c51-e4ff-4e57-9558-08cab6b963c7\",\n \"customer_id\": \"7d943c51-e4ff-4e57-9558-08cab6b963c7\",\n \"link_customization_name\": \"<string>\",\n \"redirect_uri\": \"<string>\",\n \"sdk_type\": \"WEB\",\n \"vendor_access_token\": \"<string>\",\n \"vendor_institution_id\": \"<string>\",\n \"verify_owner\": false\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.synctera.com/v2/external_accounts/link_tokens")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"client_name\": \"<string>\",\n \"country_codes\": [],\n \"business_id\": \"7d943c51-e4ff-4e57-9558-08cab6b963c7\",\n \"customer_id\": \"7d943c51-e4ff-4e57-9558-08cab6b963c7\",\n \"link_customization_name\": \"<string>\",\n \"redirect_uri\": \"<string>\",\n \"sdk_type\": \"WEB\",\n \"vendor_access_token\": \"<string>\",\n \"vendor_institution_id\": \"<string>\",\n \"verify_owner\": false\n}"
response = http.request(request)
puts response.read_body{
"client_name": "<string>",
"country_codes": [
"CA"
],
"language": "DE",
"type": "CREDIT",
"business_id": "7d943c51-e4ff-4e57-9558-08cab6b963c7",
"customer_id": "7d943c51-e4ff-4e57-9558-08cab6b963c7",
"expiration": "2023-11-07T05:31:56Z",
"link_customization_name": "<string>",
"link_token": "<string>",
"redirect_uri": "<string>",
"request_id": "<string>",
"sdk_type": "WEB",
"vendor_access_token": "<string>",
"vendor_institution_id": "<string>",
"verify_owner": false
}{
"code": "BAD_REQUEST_BODY",
"detail": "missing required fields: first_name, dob",
"status": 400,
"title": "Bad Request Body",
"type": "https://dev.synctera.com/errors/bad-request-body"
}{
"code": "BAD_REQUEST_BODY",
"detail": "missing required fields: first_name, dob",
"status": 400,
"title": "Bad Request Body",
"type": "https://dev.synctera.com/errors/bad-request-body"
}{
"code": "BAD_REQUEST_BODY",
"detail": "missing required fields: first_name, dob",
"status": 400,
"title": "Bad Request Body",
"type": "https://dev.synctera.com/errors/bad-request-body"
}{
"code": "BAD_REQUEST_BODY",
"detail": "missing required fields: first_name, dob",
"status": 400,
"title": "Bad Request Body",
"type": "https://dev.synctera.com/errors/bad-request-body"
}Authorizations
Headers
An idempotency key is an arbitrary unique value generated by client to detect subsequent retries of the same request. It is recommended that a UUID or a similar random identifier be used as an idempotency key. A different key must be used for each request, unless it is a retry.
"7d943c51-e4ff-4e57-9558-08cab6b963c7"
Body
The language that corresponds to the link token. For Plaid, see their documentation for a list of allowed values.
DE, EN, ES, FR, NL The type of the link token. DEPOSITORY for checking and savings accounts, CREDIT for credit card type accounts, INVESTMENT for investment accounts, and MICRO_DEPOSIT for depository accounts with support for micro-deposits verification.
CREDIT, DEPOSITORY, INVESTMENT, MICRO_DEPOSIT The name of the Link customization from the Plaid Dashboard to be applied to Link. If not specified, the default customization will be used. When using a Link customization, the language in the customization must match the language selected via the language parameter, and the countries in the customization should match the country codes selected via country_codes.
If true, Synctera will attempt to verify that the external account owner is the same as the customer by comparing external account data to customer data. At least 2 of the following fields must match: name, phone number, email, address. Verification is disabled by default.
Response
New verification link token
The language that corresponds to the link token. For Plaid, see their documentation for a list of allowed values.
DE, EN, ES, FR, NL The type of the link token. DEPOSITORY for checking and savings accounts, CREDIT for credit card type accounts, INVESTMENT for investment accounts, and MICRO_DEPOSIT for depository accounts with support for micro-deposits verification.
CREDIT, DEPOSITORY, INVESTMENT, MICRO_DEPOSIT The name of the Link customization from the Plaid Dashboard to be applied to Link. If not specified, the default customization will be used. When using a Link customization, the language in the customization must match the language selected via the language parameter, and the countries in the customization should match the country codes selected via country_codes.
If true, Synctera will attempt to verify that the external account owner is the same as the customer by comparing external account data to customer data. At least 2 of the following fields must match: name, phone number, email, address. Verification is disabled by default.
Was this page helpful?

